#include<iostream>
using namespace std;
#include<cmath>
using namespace std;
double p,q,r,L,R,N;int br,x,y,z,a;
int main(){
	cin>>p>>q>>r>>L>>R;
	for(N=L;N<=R;N++){
	a=0;
	x=ceil(N/p);
	y=ceil(N/q);
	z=ceil(N/r);
	a=x+y+z;
	cout<<" "<<x<<y<<z;
	if(a<=N)br++;
	}
	cout<<""<<br<<endl;
	return 0;
}